<div class="row mb-3 align-items-center justify-content-between">
  <div class="col-md-auto col-sm-auto">
    <div class="section-title">
      <h2>{{'ROLE_USER' | translate}}</h2>
    </div>
  </div>
</div>
<div class="form-group row">
  <form class="col-md-5">
    <mat-form-field appearance="outline" class="w-100">
      <mat-label>{{'SELECT_ROLE' | translate}}</mat-label>
      <mat-select name="selectedRole" [(ngModel)]="selectedRoleId" (selectionChange)="onRoleChange()">
        <mat-option *ngFor="let role of roles" [value]="role.id">
          {{role.name}}
        </mat-option>
      </mat-select>
    </mat-form-field>
  </form>
</div>
<div class="row">
  <div class="col-sm-12">
    <span class="font-weight-bold text-danger small">
      {{'IN_ORDER_TO_ADD_USER_TO_ROLE_PLEASE_DRAG_IT_FROM_ALL_USERS_TO_ROLE_USERS' | translate}}
    </span>
  </div>
</div>
<div *ngIf="selectedRole">
  <div class="row">
    <div class="col-sm-5">
      <h2 class="text-primary">{{'ALL_USERS' | translate}}</h2>
      <div cdkDropList #doneList="cdkDropList" cdkDropListLockAxis="true" [cdkDropListData]="otherUsers"
        [cdkDropListConnectedTo]="[todoList]" class="example-list" (cdkDropListDropped)="removeUser($event)">
        <div class="example-box" *ngFor="let item of otherUsers" cdkDrag>
          <span>{{item.firstName}} {{item.lastName}} ({{item.userName}}) </span>
        </div>
      </div>
    </div>
    <div class="col-sm-5">
      <h2 class="text-primary">{{'ROLE_USERS' | translate}}</h2>
      <div cdkDropList #todoList="cdkDropList" [cdkDropListData]="roleUsers" [cdkDropListConnectedTo]="[doneList]"
        class="example-list" (cdkDropListDropped)="addUser($event)">
        <div class="example-box" *ngFor="let item of roleUsers" cdkDrag>
          <span>{{item.firstName}} {{item.lastName}} ({{item.userName}})</span>
        </div>
      </div>
    </div>
  </div>
